AM263Px MCU+ SDK: IcssgStats_MacPort Struct Reference

| AM263Px MCU+ SDK 26.00.00 |

Data Fields
IcssgStats_MacPort Struct Reference
APIs for Networking modules » APIs for Enet LLD » Enet Statistics » ICSSG Statistics

## Detailed Description

ICSSG statistics counters.

The statistics counters reported by PRU-ICSSG. This structure type must be used by application to retrieve ICSSG statistics via ENET_STATS_IOCTL_GET_MACPORT_STATS.

## Data Fields
uint32_t | rxGoodFrames
uint32_t | rxBCastFrames
uint32_t | rxMCastFrames
uint32_t | rxCRCErrors
uint32_t | rxMIIErrors
uint32_t | rxOddNibbleFrame
uint32_t | rxMaxSizeFrame
uint32_t | rxMaxSizeErrFrame
uint32_t | rxMinSizeFrame
uint32_t | rxMinSizeErrFrame
uint32_t | rxOverrunFrame
uint32_t | rxClass0
uint32_t | rxClass1
uint32_t | rxClass2
uint32_t | rxClass3
uint32_t | rxClass4
uint32_t | rxClass5
uint32_t | rxClass6
uint32_t | rxClass7
uint32_t | rxClass8
uint32_t | rxClass9
uint32_t | rxClass10
uint32_t | rxClass11
uint32_t | rxClass12
uint32_t | rxClass13
uint32_t | rxClass14
uint32_t | rxClass15
uint32_t | rxSMDFragErr
uint32_t | rxBucket1SizeConfig
uint32_t | rxBucket2SizeConfig
uint32_t | rxBucket3SizeConfig
uint32_t | rxBucket4SizeConfig
uint32_t | rx64BSizedFrame
uint32_t | rxBucket1SizedFrame
uint32_t | rxBucket2SizedFrame
uint32_t | rxBucket3SizedFrame
uint32_t | rxBucket4SizedFrame
uint32_t | rxBucket5SizedFrame
uint32_t | rxTotalByte
uint32_t | rxTxTotalByte
uint32_t | txGoodFrame
uint32_t | txBcastFrame
uint32_t | txMcastFrame
uint32_t | txOddNibbleFrame
uint32_t | txUnderFlowErr
uint32_t | txMaxSizeFrame
uint32_t | txMaxSizeErrFrame
uint32_t | txMinSizeFrame
uint32_t | txMinSizeErrFrame
uint32_t | txBucket1SizeConfig
uint32_t | txBucket2SizeConfig
uint32_t | txBucket3SizeConfig
uint32_t | txBucket4SizeConfig
uint32_t | tx64BSizedFrame
uint32_t | txBucket1SizedFrame
uint32_t | txBucket2SizedFrame
uint32_t | txBucket3SizedFrame
uint32_t | txBucket4SizedFrame
uint32_t | txBucket5SizedFrame
uint32_t | txTotalByte

## Field Documentation

## ◆ rxGoodFrames

uint32_t IcssgStats_MacPort::rxGoodFrames

RX Good Frame Count Inc on none min err max err crc err odd err, Wrt subtracts

## ◆ rxBCastFrames

uint32_t IcssgStats_MacPort::rxBCastFrames

RX BC Frame Count Inc on BC type, Wrt subtracts

## ◆ rxMCastFrames

uint32_t IcssgStats_MacPort::rxMCastFrames

RX MC Frame Count Inc on MC type, Wrt subtracts

## ◆ rxCRCErrors

uint32_t IcssgStats_MacPort::rxCRCErrors

RX CRC Err Frame Count Inc on crc err, Wrt subtracts

## ◆ rxMIIErrors

uint32_t IcssgStats_MacPort::rxMIIErrors

RX MII Err Frame Count Inc on mii sgmii rgmii err, Wrt subtracts

## ◆ rxOddNibbleFrame

uint32_t IcssgStats_MacPort::rxOddNibbleFrame

RX Odd Nibble Frame Count Inc on odd nibble mii, Wrt subtracts

## ◆ rxMaxSizeFrame

uint32_t IcssgStats_MacPort::rxMaxSizeFrame

RX Max Size Frame Count Limit

## ◆ rxMaxSizeErrFrame

uint32_t IcssgStats_MacPort::rxMaxSizeErrFrame

RX MAX Size Err Frame Count Inc if > than Limit, Wrt subtracts

## ◆ rxMinSizeFrame

uint32_t IcssgStats_MacPort::rxMinSizeFrame

RX Min Size Frame Limit

## ◆ rxMinSizeErrFrame

uint32_t IcssgStats_MacPort::rxMinSizeErrFrame

RX MIN Size Frame Count incremented if < than limit

## ◆ rxOverrunFrame

uint32_t IcssgStats_MacPort::rxOverrunFrame

RX L1 FIFO overflow frame count

## ◆ rxClass0

uint32_t IcssgStats_MacPort::rxClass0

RX Class0 Hit Count

## ◆ rxClass1

uint32_t IcssgStats_MacPort::rxClass1

RX Class1 Hit Count

## ◆ rxClass2

uint32_t IcssgStats_MacPort::rxClass2

RX Class2 Hit Count

## ◆ rxClass3

uint32_t IcssgStats_MacPort::rxClass3

RX Class3 Hit Count

## ◆ rxClass4

uint32_t IcssgStats_MacPort::rxClass4

RX Class4 Hit Count

## ◆ rxClass5

uint32_t IcssgStats_MacPort::rxClass5

RX Class5 Hit Count

## ◆ rxClass6

uint32_t IcssgStats_MacPort::rxClass6

RX Class6 Hit Count

## ◆ rxClass7

uint32_t IcssgStats_MacPort::rxClass7

RX Class7 Hit Count

## ◆ rxClass8

uint32_t IcssgStats_MacPort::rxClass8

RX Class8 Hit Count

## ◆ rxClass9

uint32_t IcssgStats_MacPort::rxClass9

RX Class9 Hit Count

## ◆ rxClass10

uint32_t IcssgStats_MacPort::rxClass10

RX Class10 Hit Count

## ◆ rxClass11

uint32_t IcssgStats_MacPort::rxClass11

RX Class11 Hit Count

## ◆ rxClass12

uint32_t IcssgStats_MacPort::rxClass12

RX Class12 Hit Count

## ◆ rxClass13

uint32_t IcssgStats_MacPort::rxClass13

RX Class13 Hit Count

## ◆ rxClass14

uint32_t IcssgStats_MacPort::rxClass14

RX Class14 Hit Count

## ◆ rxClass15

uint32_t IcssgStats_MacPort::rxClass15

RX Class15 Hit Count

## ◆ rxSMDFragErr

uint32_t IcssgStats_MacPort::rxSMDFragErr

SMD FRAG Frames Received with Errors

## ◆ rxBucket1SizeConfig

uint32_t IcssgStats_MacPort::rxBucket1SizeConfig

RX Bucket1 Byte Size

## ◆ rxBucket2SizeConfig

uint32_t IcssgStats_MacPort::rxBucket2SizeConfig

RX Bucket2 Byte Size

## ◆ rxBucket3SizeConfig

uint32_t IcssgStats_MacPort::rxBucket3SizeConfig

RX Bucket3 Byte Size

## ◆ rxBucket4SizeConfig

uint32_t IcssgStats_MacPort::rxBucket4SizeConfig

RX Bucket4 Byte Size

## ◆ rx64BSizedFrame

uint32_t IcssgStats_MacPort::rx64BSizedFrame

RX 64Byte Frame Count

## ◆ rxBucket1SizedFrame

uint32_t IcssgStats_MacPort::rxBucket1SizedFrame

RX Bucket1 Frame Count Inc if <= than Bucket1 Byte Size

## ◆ rxBucket2SizedFrame

uint32_t IcssgStats_MacPort::rxBucket2SizedFrame

RX Bucket2 Frame Count Inc if <= than Bucket2 Byte Size and if > than Bucket1 Byte Size

## ◆ rxBucket3SizedFrame

uint32_t IcssgStats_MacPort::rxBucket3SizedFrame

RX Bucket3 Frame Count Inc if <= than Bucket3 Byte Size and if > than Bucket2 Byte Size

## ◆ rxBucket4SizedFrame

uint32_t IcssgStats_MacPort::rxBucket4SizedFrame

RX Bucket4 Frame Count Inc if <= than Bucket4 Byte Size and if > than Bucket3 Byte Size

## ◆ rxBucket5SizedFrame

uint32_t IcssgStats_MacPort::rxBucket5SizedFrame

RX Bucket5 Frame Count Inc if > than Bucket4 Byte Size

## ◆ rxTotalByte

uint32_t IcssgStats_MacPort::rxTotalByte

RX Total Byte Count

## ◆ rxTxTotalByte

uint32_t IcssgStats_MacPort::rxTxTotalByte

RX and TX Total Byte Count

## ◆ txGoodFrame

uint32_t IcssgStats_MacPort::txGoodFrame

TX Good Frame Count Inc if no min size err max size err or mii odd nibble

## ◆ txBcastFrame

uint32_t IcssgStats_MacPort::txBcastFrame

TX Broadcast Frame Count Inc if BC

## ◆ txMcastFrame

uint32_t IcssgStats_MacPort::txMcastFrame

TX Multicast Frame Count Inc if MC

## ◆ txOddNibbleFrame

uint32_t IcssgStats_MacPort::txOddNibbleFrame

TX Odd Nibble Frame Count Inc if mii odd nibble

## ◆ txUnderFlowErr

uint32_t IcssgStats_MacPort::txUnderFlowErr

TX Max Underflow Error Count

## ◆ txMaxSizeFrame

uint32_t IcssgStats_MacPort::txMaxSizeFrame

TX Max Size Frame Count Limit

## ◆ txMaxSizeErrFrame

uint32_t IcssgStats_MacPort::txMaxSizeErrFrame

TX Max Size Err Frame Count Inc if > max Limit

## ◆ txMinSizeFrame

uint32_t IcssgStats_MacPort::txMinSizeFrame

TX Min Size Frame Count Limit

## ◆ txMinSizeErrFrame

uint32_t IcssgStats_MacPort::txMinSizeErrFrame

TX Min Size Err Frame Count Inc if < min Limit

## ◆ txBucket1SizeConfig

uint32_t IcssgStats_MacPort::txBucket1SizeConfig

TX Bucket1 Byte Size

## ◆ txBucket2SizeConfig

uint32_t IcssgStats_MacPort::txBucket2SizeConfig

TX Bucket2 Byte Size

## ◆ txBucket3SizeConfig

uint32_t IcssgStats_MacPort::txBucket3SizeConfig

TX Bucket3 Byte Size

## ◆ txBucket4SizeConfig

uint32_t IcssgStats_MacPort::txBucket4SizeConfig

TX Bucket4 Byte Size

## ◆ tx64BSizedFrame

uint32_t IcssgStats_MacPort::tx64BSizedFrame

TX 64Byte Frame Count Inc if 64B

## ◆ txBucket1SizedFrame

uint32_t IcssgStats_MacPort::txBucket1SizedFrame

TX Bucket1 Frame Count if <= than Bucket1

## ◆ txBucket2SizedFrame

uint32_t IcssgStats_MacPort::txBucket2SizedFrame

TX Bucket2 Frame Count if <= than Bucket2 Size and > Bucket 1 Size

## ◆ txBucket3SizedFrame

uint32_t IcssgStats_MacPort::txBucket3SizedFrame

TX Bucket3 Frame Count if <= than Bucket3 Size and > Bucket 2 Size

## ◆ txBucket4SizedFrame

uint32_t IcssgStats_MacPort::txBucket4SizedFrame

TX Bucket4 Frame Count if <= than Bucket4 Size and > Bucket 3 Size

## ◆ txBucket5SizedFrame

uint32_t IcssgStats_MacPort::txBucket5SizedFrame

TX Bucket5 Frame Count if > Bucket 4 Size

## ◆ txTotalByte

uint32_t IcssgStats_MacPort::txTotalByte

Total Bytes Sent